<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Index</title>
        <link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/icon-font/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>

    </head>
    <body>
        <div>
            <h1>Index</h1>

            
            
            <section>
                
                
                <h3>Project (1)</h3>
                <div>
                
                    <div><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon staruml-icon icon-Project'></span>Untitled</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLAssociation (5)</h3>
                <div>
                
                    <div><a href='f17616bfb31a08f4cc59258729f31078.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(SendStrategy—SendContext)</a></div>
                
                    <div><a href='33ea4ce61a830bd32c17dc2920ec62ce.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(SendContext—SendStrategy)</a></div>
                
                    <div><a href='5f1f4626edc85c087a5bc8f0ad532f48.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(CheckingMessage—SendContext)</a></div>
                
                    <div><a href='c2f081036b878cb1e3814d7daa47ab96.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(IndexingMessage—SendContext)</a></div>
                
                    <div><a href='d34d1805f252b769029683b4b321989f.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(SendMessage—SendContext)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLAssociationEnd (10)</h3>
                <div>
                
                    <div><a href='246029f2338c9ad89962bf80ae9329c2.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='fc751d2c78865dbd1e36820294ab87d4.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='8e76b741a5b2c6c679948556f9a6e501.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='28cd9af329bc76fc6a12f4d1c8994da0.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='4bc0bfe65e30a6529c46aef52a9d455e.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='5bd929a8882738827943b22bc65515f3.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='46dd079bb027596e6ed97e11b63b3d61.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='94aab611f45603467e9369a04de11d17.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='2e3944afa7b40b57251b8f8dfe7a503d.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='a2891648460f2860043891537afb25b4.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLAttribute (2)</h3>
                <div>
                
                    <div><a href='3b1bf7bff279acb29e4215ed474cbdb7.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>nextHandler</a></div>
                
                    <div><a href='9f360f7de7f63b8bf4cfaa5071037fe7.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>sendStrategy</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLClass (8)</h3>
                <div>
                
                    <div><a href='d6c73c85c0155a3c5b15b9d9f21a3ab5.html'><span class='node-icon staruml-icon icon-UMLClass'></span>CheckingMessage</a></div>
                
                    <div><a href='18ffd755fb14ebbb28d87041cd902912.html'><span class='node-icon staruml-icon icon-UMLClass'></span>CreateMesssageBaseHandler</a></div>
                
                    <div><a href='b795ded17d2ea9c9453d8de4bb54b3b6.html'><span class='node-icon staruml-icon icon-UMLClass'></span>IndexingMessage</a></div>
                
                    <div><a href='982bf329acb9c4a2eb90a5b7a0cb9839.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendContext</a></div>
                
                    <div><a href='583126819a8f9b91b0aaf4fdf81936c6.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendInComing</a></div>
                
                    <div><a href='a71ea4baea0109c7ca2aea16b051a4f4.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendMessage</a></div>
                
                    <div><a href='3c95dab850ab45a62e3d319dd1902601.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendNote</a></div>
                
                    <div><a href='45299381a99fd2a2b201cd935e0ca8fa.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendOutGoing</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLClassDiagram (1)</h3>
                <div>
                
                    <div><a href='a74bf0e3699da3f8e58beeb19b53e20a.html'><span class='node-icon staruml-icon icon-UMLClassDiagram'></span>Main</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLGeneralization (7)</h3>
                <div>
                
                    <div><a href='727de1ca9fc3a1500bb616e25db83e99.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(SendInComing→SendStrategy)</a></div>
                
                    <div><a href='f96baa26c529acfb650cfd23b5b03f7a.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(SendOutGoing→SendStrategy)</a></div>
                
                    <div><a href='223ee389cc24a7522095ee8d5e60c3e6.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(SendNote→SendStrategy)</a></div>
                
                    <div><a href='f6d40d05f68d1f0dcee617b4171911bd.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(CreateMesssageBaseHandler→CreateMessageHandler)</a></div>
                
                    <div><a href='bf0621617b4b2523e7fff1411ba78c94.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(CheckingMessage→CreateMesssageBaseHandler)</a></div>
                
                    <div><a href='369704a183cc85627dcbbbd945f5014f.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(IndexingMessage→CreateMesssageBaseHandler)</a></div>
                
                    <div><a href='3c32b7d81f28d10188853ab4d861c46e.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(SendMessage→CreateMesssageBaseHandler)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLInterface (2)</h3>
                <div>
                
                    <div><a href='9500f21c4d8839873970889b43e7da1f.html'><span class='node-icon staruml-icon icon-UMLInterface'></span>CreateMessageHandler</a></div>
                
                    <div><a href='432a0a743da6533a801caf4a95cff1aa.html'><span class='node-icon staruml-icon icon-UMLInterface'></span>SendStrategy</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLModel (1)</h3>
                <div>
                
                    <div><a href='594af663de577680f35b13183109d675.html'><span class='node-icon staruml-icon icon-UMLModel'></span>Model</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLOperation (13)</h3>
                <div>
                
                    <div><a href='0be93191eeed8ccbd1f5d04d3d23354a.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>handle</a></div>
                
                    <div><a href='477ebcf289779b56b743c66a96251a83.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>handle</a></div>
                
                    <div><a href='8a57d2b6c258f0df3c79d08ba4d17cf9.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>handle</a></div>
                
                    <div><a href='3075b8e5f39c6e995dcff78f3345ea9c.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>handle</a></div>
                
                    <div><a href='2bf4ecf18c1fc992efe1f5d32b8346b1.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>handle</a></div>
                
                    <div><a href='91792da5c480a956f41d924f6e45b6a4.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>send</a></div>
                
                    <div><a href='9bd03afc4a68d77ec42b01576a14fa0d.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>sendMessage</a></div>
                
                    <div><a href='117f1709ce28c40ef2146ab1a4244a7c.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>setNext</a></div>
                
                    <div><a href='c46443e38baa4f7722934c1412f14060.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>setNext</a></div>
                
                    <div><a href='3684e285012f22b06e67ce76b039c685.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>setNext</a></div>
                
                    <div><a href='9dc5492110ee3255ddece8cc0f3a5923.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>setNext</a></div>
                
                    <div><a href='9d8a929a5e7af755a9e8e98d8419b2ab.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>setNext</a></div>
                
                    <div><a href='ef8a6683d19e9b3c8c0b1bc1cadb4f50.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>setSendStrategy</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLParameter (12)</h3>
                <div>
                
                    <div><a href='8e545f5c520ecc8b5f4ae94c6a4c076d.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>handler</a></div>
                
                    <div><a href='335d871dfeceb6c2e083adfeb98bacf3.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>handler</a></div>
                
                    <div><a href='b62fa0d744565942b617404ae5383fe0.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>handler</a></div>
                
                    <div><a href='2ca40684f5bc0c077d76aa13afeec913.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>handler</a></div>
                
                    <div><a href='70b25d7039a8028b1cec180072152100.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>handler</a></div>
                
                    <div><a href='5bee231d0f43407b41b3c5c1b2f2571c.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='d3c806ab130e8eca963be70b67136d10.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='2c292902a07d0f39c02e8caad516b8c5.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='28085731f334be09d1d335959362e3db.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='3c03bd67fc5e8ce670110aa1440e18cc.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='49d419e0ee520b2569a6a65f8b8165d2.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='7d3ded23faa7efbef50f3b224fab8ebd.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>sendStrategy</a></div>
                
                </div>
            </section>
            
        </div>
    </body>
</html>
